Webhooks
Buscar Webhook
GET
/v1/users/webhooks/:idBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAutenticação
bearerAuthorizationstring · header · obrigatório
Envie no header:
Authorization: Bearer {{token}}Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | Id |
Retorna os detalhes de um endereço de notificação específico.
Consultar webhook
const url = 'https://sandbox.validapay.com.br/v1/users/webhooks/:id';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"webhookId": "wh_xxx",
"url": "https://meusite.com/webhook",
"events": [],
"status": "active"
}404404
{
"code": "WEBHOOK_NOT_FOUND"
}